{% extends "application.html" %}
{% block content %}
    <div class="container-fluid">
        <div class="row d-flex justify-content-between">
            <h1 class="h3 mb-2 text-gray-800">
                {% if is_create %}
                    Tạo tài khoản mới
                {% else %}
                    Chỉnh sửa thông tin tài khoản
                {% endif %}

            </h1>
            <a href="{{ url_for('User.list') }}" class="btn btn-primary btn-icon-split mb-2">

                <span class="text">Trở về</span>
            </a>
        </div>

        <div class="col-md-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        Thông tin tài khoản
                    </h6>
                </div>
                <div class="card-body">
                    {% if is_create %}
                        <form accept-charset="UTF-8" role="form" action="{{ url_for('User.save') }}" method="POST">
                    {% else %}
                        <form accept-charset="UTF-8" role="form" action="{{ url_for('User.update') }}" method="POST">
                    {% endif %}
                    <fieldset>
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-5">
                                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                                    <input type="text" hidden id="user-image" name="image_id"
                                           value="{{ user.image_id if user else '' }}">
                                    <div class="row d-flex justify-content-center">
                                        {% if user is none or user.image_id is none %}
                                            <img id="blah" src="{{ url_for('static', filename='img/no_img.png') }}"
                                                 alt=""
                                                 style="max-height: 300px; max-width: 300px;"
                                                 class="rounded img-fluid">
                                        {% else %}
                                            <img id="blah"
                                                 style="max-height: 300px; max-width: 300px;"
                                                 class="rounded img-fluid"
                                                 src="{{ url_for('Upload.download_image', id=user.image.id) }}"
                                                 alt="">
                                        {% endif %}
                                    </div>
                                    <div class="row d-flex justify-content-center">
                                        <label for="imgInp" style="cursor: pointer; color: #0000FF;">
                                            Chọn ảnh</label>
                                        <input type='file' id="imgInp" hidden/>
                                    </div>

                                    <div class="form-group">
                                        <label for="list_role">Role</label>
                                        <select name="role" class="form-control" id="list_role">
                                            <option value="0" {% if user and user.role==
                                                '0' %} selected {% endif %}>Admin
                                            </option>
                                            <option value="1" {% if user and user.role==
                                                '1' %} selected {% endif %}>Bác sĩ
                                            </option>
                                            <option value="2" {% if user and user.role==
                                                '2' %} selected {% endif %}>Bệnh nhân
                                            </option>
                                        </select>
                                    </div>

                                    <div class="form-group">
                                        {{ form.password.label }}
                                        {{ form.password(class="form-control", value=user.password if user else '') }}
                                    </div>
                                    <div class="form-group">
                                        {{ form.confirm.label }}
                                        {{ form.confirm(class="form-control", value=user.password if user else '') }}
                                        <span id='message'></span>
                                    </div>

                                </div>
                                <div class="col-md-7">
                                    <input class="form-control" hidden name="id" type="text"
                                           value="{{ user.id if user else '' }}">
                                    <div class="form-group">
                                        {{ form.email.label }}
                                        {{ form.email(class="form-control", value=user.email if user else '') }}
                                    </div>
                                    {% if current_user.role == '0' %}
                                        <div class="form-group" id="clinic_label">
                                            <label for="clinic">Tên phòng khám</label>
                                            <select name="clinic_id" id="clinic" class="form-control">
                                                {% if user.clinic_id != None %}
                                                    <option value="" selected disabled>Chọn phòng khám</option>
                                                {% endif %}
                                                {% for item in clinic %}
                                                    <option value="{{ item.id }}" {% if item.id == user.clinic_id %}
                                                            selected {% endif %}>{{ item.name }}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                        <div class="form-group" id="specialist_label">
                                            <label for="specialist">Tên chuyên khoa</label>
                                            <select name="specialist_id" id="specialist" class="form-control">
                                                {% if user.specialist_id != None %}
                                                    <option value="" selected disabled>Chọn chuyên khoa</option>
                                                {% endif %}
                                                {% for item in specialist %}
                                                    <option value="{{ item.id }}" {% if item.id == user.specialist_id %}
                                                            selected {% endif %}>{{ item.name }}</option>
                                                {% endfor %}
                                            </select>
                                        </div>
                                    {% endif %}
                                    <div class="form-group">
                                        {{ form.name.label }}
                                        {{ form.name(class="form-control", value=user.name if user else '') }}
                                    </div>


                                    <div class="form-group">
                                        {{ form.address.label }}
                                        {{ form.address(class="form-control", value=user.address if user else '') }}
                                    </div>
                                    <div class="form-group">
                                        {{ form.id_card.label }}
                                        {{ form.id_card(class="form-control", value=user.id_card if user else '') }}
                                    </div>
                                    <div class="form-group">
                                        {{ form.phone_number.label }}
                                        {{ form.phone_number(class="form-control", value=user.phone_number if user
                                            else '') }}
                                    </div>
                                </div>
                            </div>
                            <div class="row d-flex justify-content-center">
                                <div class="form-group d-flex justify-content-center">
                                    {% if is_create %}
                                        <input class="btn btn-success btn-block" type="submit" value="Create">
                                    {% endif %}
                                    {% if not is_create %}
                                        <input class="btn btn-success btn-block" type="submit" value="Update">
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </fieldset>
                    {% if is_create %}
                        </form>
                    {% endif %}
                    {% if not is_create %}
                        </form>
                    {% endif %}
                </div>
            </div>
        </div>


    </div>

{% endblock %}
{% block script %}
    <script>
        $(document).ready(function () {


            $('#list_role').change(checkRole);

            function checkRole() {
                 if ($("#list_role").val() != 2) {
                    $('#ip').hide();
                    $('#label_ip').hide();
                } else {
                    $('#ip').show();
                    $('#label_ip').show();
                }
                if ($("#list_role").val() == 1) {
                    $('#clinic_label').show();
                    $('#specialist_label').show();
                } else {
                    $('#clinic_label').hide();
                    $('#specialist_label').hide();
                }
            };
            checkRole();
            var csrftoken = $('meta[name=csrf-token]').attr('content');

            $.ajaxSetup({
                beforeSend: function (xhr, settings) {
                    if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                        xhr.setRequestHeader("X-CSRFToken", csrftoken)
                    }
                }
            });


            function readURL(input) {
                if (input.files && input.files[0]) {
                    let reader = new FileReader();

                    reader.onload = function (e) {
                        $('#blah').attr('src', e.target.result);
                    };

                    reader.readAsDataURL(input.files[0]);

                    let formData = new FormData();
                    formData.append("file", input.files[0]);

                    $.ajax({
                        url: '/upload/image',
                        method: 'post',
                        data: formData,
                        contentType: false,
                        credentials: 'include',
                        processData: false
                    }).done(function (result) {
                        console.log(result);
                        $("#user-image").val(result.data.id);
                    });

                }
            }

            $("#imgInp").change(function () {
                readURL(this);
            });
        })
        ;
    </script>
{% endblock %}
